Bug 51085 - Double clicking items in Start Here folder opens new window
Double clicking items in Start Here folder opens new window
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-07 03:02 EDT by Kenny Graunke
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-10 10:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kenny Graunke 2001-08-07 03:02:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
Double clicking icons in the start here opens them in a new window,
regardless of the user's preference.

How reproducible:

Steps to Reproduce:
1. Open the start here window.
2. Double click on anything.

Actual Results:  The item clicked appears in a new window.

Expected Results:  The item clicked should appear in the current window
unless the user has set the "Open each file or folder in a new window"
option in their nautilus' preferences.

Additional info:

All other folders seem to obey the user's preference - this is inconsistent
and confusing UI.
Comment 1 Havoc Pennington 2001-08-07 12:57:52 EDT

I believe fixing this is going to be a bit too involved for this release; but
will look into it immediately after. The fix is basically to change how those
.desktop files work; right now they launch a new Nautilus window by exec'ing 
"nautilus start-here:", instead they should probably contain links to be opened
by the current Nautilus.
Comment 2 Owen Taylor 2001-08-10 10:48:22 EDT
I think it is probably quite possible to change the logic
in fm-directory-view.c to check if the thing it is going
to launcher is a launcher that is "Exec: nautilus..." and
then, if so, treat that as if it was a link. I think it
would probably be a hour or so of work. How this compares
to doing it right, I don't know.
Comment 3 Havoc Pennington 2001-08-14 18:32:06 EDT
Icons should be changed to links in Nautilus 1.0.4-32, this speeds things up also.
Comment 4 LENHOF 2001-08-23 16:57:29 EDT
Hi boys,

The second roswell beta seems to be more polish...

But, in the case of this bug there's still one case a new window is open :

Double-click on Programs in "Start Here"

Have fun,

Jean-Yves LENHOF
Comment 5 Havoc Pennington 2001-08-23 17:43:45 EDT
Already fixed, we forgot to update programs.desktop before.

Note You need to log in before you can comment on or make changes to this bug.